import type { Promisable } from 'type-fest';
import type { string_markdown, string_markdown_text, string_title } from '../../types/typeAliases';
import type { SearchEngine } from '../SearchEngine';
import type { SearchResult } from '../SearchResult';
/**
 * A search engine implementation that uses the Bing Web Search API.
 *
 * @private <- TODO: !!!! Export via some package
 */
export declare class BingSearchEngine implements SearchEngine {
    get title(): string_title & string_markdown_text;
    get description(): string_markdown;
    checkConfiguration(): Promisable<void>;
    search(query: string, options?: Record<string, unknown>): Promise<SearchResult[]>;
}
